NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Facet::DetectPrimitivesBuilder Class Reference

This class manages the primitive shape detection for a facet body. More...

Inheritance diagram for NXOpen::Facet::DetectPrimitivesBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

void AdjustShapeBoundary ()
 Adjust shape detection result with selectivity angle
Created in NX10.0.0. More...
 
NXOpen::ExpressionBlendFactor ()
 Returns the blend factor
Created in NX10.0.0. More...
 
int CurvatureSensitivity ()
 Returns the curvature sensitivity
Created in NX10.0.0. More...
 
NXOpen::SelectDisplayableObjectListFacetSelection ()
 Returns the facet selection. More...
 
std::vector< double > GetBlendColor ()
 Returns the blend color. More...
 
std::vector< double > GetConeColor ()
 Returns the cone color. More...
 
std::vector< double > GetCylinderColor ()
 Returns the cylinder color. More...
 
std::vector< double > GetOtherColor ()
 Returns Other type of color. More...
 
std::vector< double > GetPlaneColor ()
 Returns the plane color. More...
 
std::vector< double > GetSphereColor ()
 Returns the sphere color. More...
 
void SetBlendColor (const std::vector< double > &blendColor)
 Sets the blend color
Created in NX10.0.0. More...
 
void SetConeColor (const std::vector< double > &coneColor)
 Sets the cone color
Created in NX10.0.0. More...
 
void SetCurvatureSensitivity (int curvatureSensitivity)
 Sets the curvature sensitivity
Created in NX10.0.0. More...
 
void SetCylinderColor (const std::vector< double > &cylinderColor)
 Sets the cylinder color
Created in NX10.0.0. More...
 
void SetOtherColor (const std::vector< double > &otherColor)
 Sets the other color
Created in NX10.0.0. More...
 
void SetPlaneColor (const std::vector< double > &planeColor)
 Sets the plane color
Created in NX10.0.0. More...
 
void SetSphereColor (const std::vector< double > &sphereColor)
 Sets the sphere color
Created in NX10.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

This class manages the primitive shape detection for a facet body.


To create a new instance of this class, use NXOpen::Facet::FacetModelingCollection::CreateDetectPrimitivesBuilder
Default values.

Property Value

CurvatureSensitivity

20


Created in NX10.0.0.

Member Function Documentation

void NXOpen::Facet::DetectPrimitivesBuilder::AdjustShapeBoundary ( )

Adjust shape detection result with selectivity angle
Created in NX10.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Facet::DetectPrimitivesBuilder::BlendFactor ( )

Returns the blend factor
Created in NX10.0.0.



License requirements : None

int NXOpen::Facet::DetectPrimitivesBuilder::CurvatureSensitivity ( )

Returns the curvature sensitivity
Created in NX10.0.0.



License requirements : None

NXOpen::SelectDisplayableObjectList* NXOpen::Facet::DetectPrimitivesBuilder::FacetSelection ( )

Returns the facet selection.

Inputs to this command can be convergent objects.
Created in NX10.0.0.

License requirements : None

std::vector<double> NXOpen::Facet::DetectPrimitivesBuilder::GetBlendColor ( )

Returns the blend color.

Returns
Array of 3 RGB values, each between 0 and 1
Created in NX10.0.0.

License requirements : None
std::vector<double> NXOpen::Facet::DetectPrimitivesBuilder::GetConeColor ( )

Returns the cone color.

Returns
Array of 3 RGB values, each between 0 and 1
Created in NX10.0.0.

License requirements : None
std::vector<double> NXOpen::Facet::DetectPrimitivesBuilder::GetCylinderColor ( )

Returns the cylinder color.

Returns
Array of 3 RGB values, each between 0 and 1
Created in NX10.0.0.

License requirements : None
std::vector<double> NXOpen::Facet::DetectPrimitivesBuilder::GetOtherColor ( )

Returns Other type of color.

All non-primitive shapes are classfied as Other type

Returns
Array of 3 RGB values, each between 0 and 1
Created in NX10.0.0.

License requirements : None
std::vector<double> NXOpen::Facet::DetectPrimitivesBuilder::GetPlaneColor ( )

Returns the plane color.

Returns
Array of 3 RGB values, each between 0 and 1
Created in NX10.0.0.

License requirements : None
std::vector<double> NXOpen::Facet::DetectPrimitivesBuilder::GetSphereColor ( )

Returns the sphere color.

Returns
Array of 3 RGB values, each between 0 and 1
Created in NX10.0.0.

License requirements : None
void NXOpen::Facet::DetectPrimitivesBuilder::SetBlendColor ( const std::vector< double > &  blendColor)

Sets the blend color
Created in NX10.0.0.



License requirements : None

Parameters
blendColorArray of 3 RGB values, each between 0 and 1
void NXOpen::Facet::DetectPrimitivesBuilder::SetConeColor ( const std::vector< double > &  coneColor)

Sets the cone color
Created in NX10.0.0.



License requirements : None

Parameters
coneColorArray of 3 RGB values, each between 0 and 1
void NXOpen::Facet::DetectPrimitivesBuilder::SetCurvatureSensitivity ( int  curvatureSensitivity)

Sets the curvature sensitivity
Created in NX10.0.0.



License requirements : None

Parameters
curvatureSensitivitycurvaturesensitivity
void NXOpen::Facet::DetectPrimitivesBuilder::SetCylinderColor ( const std::vector< double > &  cylinderColor)

Sets the cylinder color
Created in NX10.0.0.



License requirements : None

Parameters
cylinderColorArray of 3 RGB values, each between 0 and 1
void NXOpen::Facet::DetectPrimitivesBuilder::SetOtherColor ( const std::vector< double > &  otherColor)

Sets the other color
Created in NX10.0.0.



License requirements : None

Parameters
otherColorArray of 3 RGB values, each between 0 and 1
void NXOpen::Facet::DetectPrimitivesBuilder::SetPlaneColor ( const std::vector< double > &  planeColor)

Sets the plane color
Created in NX10.0.0.



License requirements : None

Parameters
planeColorArray of 3 RGB values, each between 0 and 1
void NXOpen::Facet::DetectPrimitivesBuilder::SetSphereColor ( const std::vector< double > &  sphereColor)

Sets the sphere color
Created in NX10.0.0.



License requirements : None

Parameters
sphereColorArray of 3 RGB values, each between 0 and 1

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.